<mat-menu #menu="matMenu">
	<button mat-menu-item routerLink="/authentication/change-password">
		<mat-icon>fingerprint</mat-icon>
		{{ 'transl.simple.changePassword' | translate }}
	</button>
	<button mat-menu-item (click)="userService.logout()">
		<mat-icon>exit_to_app</mat-icon>
		{{ 'transl.simple.logout' | translate }}
	</button>
</mat-menu>

<mat-toolbar color="primary" class="mat-elevation-z5">
	<div>
		<button mat-icon-button aria-label="Sidenav" *ngIf="actionsService.sidenav" (click)="actionsService.sidenav.toggle()">
			<mat-icon>menu</mat-icon>
		</button>
	</div>

	<div class="brand-wrapper" aria-label="Home" routerLink="/home">
		<img src="assets/logo.svg" width="40px" height="40px" alt="Logo" draggable="false" />
		<div>
			<span class="font-2">Flow</span>
		</div>
	</div>

	<div class="actions">
		<button
			mat-button
			*ngIf="userService.isLoggedIn() && !router.url.startsWith('/tenant')"
			(click)="tenantService.navigateToTenant(['dashboard'])"
		>
			<mat-icon>dashboard</mat-icon>
			{{ 'transl.simple.dashboard' | translate }}
		</button>
		<button mat-button *ngIf="!userService.isLoggedIn()" routerLink="/authentication/login">
			<mat-icon>fingerprint</mat-icon>
			{{ 'transl.simple.login' | translate }}
		</button>
		<button mat-mini-fab color="white" *ngIf="userService.isLoggedIn()" [matMenuTriggerFor]="menu">
			<mat-icon>person</mat-icon>
		</button>
	</div>
</mat-toolbar>
